> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Proxy a request to the Canton Ledger API

> Proxies a request to the Canton Ledger API associated with this wallet, using the validator's OAuth2 credentials. Restricted to a curated allow-list of read-style resources. Used to satisfy the Canton WalletConnect `canton_ledgerApi` method.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
✅ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Wallets:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml post /wallets/{walletId}/canton/ledger-api
openapi: 3.1.0
info:
  version: 1.841.0
  title: DFNS
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /wallets/{walletId}/canton/ledger-api:
    post:
      tags:
        - Wallets
      summary: Proxy a request to the Canton Ledger API
      description: >-
        Proxies a request to the Canton Ledger API associated with this wallet,
        using the validator's OAuth2 credentials. Restricted to a curated
        allow-list of read-style resources. Used to satisfy the Canton
        WalletConnect `canton_ledgerApi` method.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            description: Wallet id.
          required: true
          description: Wallet id.
          name: walletId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                requestMethod:
                  type: string
                  enum:
                    - GET
                    - POST
                  description: The HTTP method used against the Canton Ledger API.
                resource:
                  type: string
                  minLength: 1
                  description: >-
                    The Canton Ledger API resource path, beginning with `/v2/`
                    (e.g. `/v2/state/active-contracts`).
                body:
                  description: >-
                    Optional JSON body, forwarded verbatim for POST resources.
                    Must be omitted for GET resources.
              required:
                - requestMethod
                - resource
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema: {}
      security:
        - authenticationToken: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````